#include <multiTimer.h>

namespace tim {

bool Timer::interval(DELAY_MODE delay_mode, unsigned long delay_time){

  if(delay_mode == MILLIS && isRunning){

	unsigned long start = millis();
	
	while (millis() - start < delay_time) ;     
  
    return true;
  }

  if(delay_mode == MICROS && isRunning){

	unsigned long start = micros();
	
	while (micros() - start < delay_time) ; 
    
    return true; 
  }
  return false;
  }
}